Package com.jangular.backend.models

# Class User

java.lang.Object
com.jangular.backend.models.User

@Entity public class User extends Object

## Constructor Summary

Constructors
Constructor
Description
`User()`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getRoleNames()`
`String`
`getUserInformation()`
`protected void`
`prePersist()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### User

public User()

## Method Details

### prePersist

protected void prePersist()

### getRoleNames

public Set<String> getRoleNames()

### getUserInformation

public String getUserInformation()